Bug 246251 - python gets build flags wrong on x86_64
python gets build flags wrong on x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 12:12 EDT by Jeroen Beerstra
Modified: 2008-06-16 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen Beerstra 2007-06-29 12:12:59 EDT
Description of problem: Not sure if this is a bug, but the fuse-python
maintainer suggested my distro is to blame for the build warnings I got. So just
to make sure. When I try to build fuse-python I get a couple of build warnings
related to ld, look for the second gcc command, it clearly gets the lib path wrong:

$ python setup.py build
running build
running build_py
creating build
creating build/lib.linux-x86_64-2.5
copying fuse.py -> build/lib.linux-x86_64-2.5
creating build/lib.linux-x86_64-2.5/fuseparts
copying fuseparts/__init__.py -> build/lib.linux-x86_64-2.5/fuseparts
copying fuseparts/setcompatwrap.py -> build/lib.linux-x86_64-2.5/fuseparts
copying fuseparts/subbedopts.py -> build/lib.linux-x86_64-2.5/fuseparts
running build_ext
building 'fuseparts._fusemodule' extension
creating build/temp.linux-x86_64-2.5
creating build/temp.linux-x86_64-2.5/fuseparts
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC
-fPIC -I/usr/include/fuse -I/usr/include/python2.5 -c
fuseparts/_fusemodule.c -o
build/temp.linux-x86_64-2.5/fuseparts/_fusemodule.o
-D_FILE_OFFSET_BITS=64
gcc -pthread -shared
build/temp.linux-x86_64-2.5/fuseparts/_fusemodule.o
-L/usr/lib/python2.5/config -lfuse -lrt -lpython2.5 -o
build/lib.linux-x86_64-2.5/fuseparts/_fusemodule.so
/usr/bin/ld: skipping incompatible
/usr/lib/python2.5/config/libpython2.5.so when searching for
-lpython2.5
/usr/bin/ld: skipping incompatible
/usr/lib/python2.5/config/libpython2.5.a when searching for
-lpython2.5


Version-Release number of selected component (if applicable): python-2.5-12.fc7


How reproducible: build fuse-python,
http://sourceforge.net/project/showfiles.php?group_id=121684&package_id=231951


Steps to Reproduce:
1. Build a python module, fuse-python from sourceforge in this case
2. Warinings related to wrong bitness are printed
  
Actual results:
-L/usr/lib/python2.5/config is used


Expected results:
-L/usr/lib64/python2.5/config should be used


Additional info: As said before I am not sure this is a bug, but from what I've
seen python guesses everything automagicly and clearly doesn't get everything
right on x86_64.
Comment 1 Bug Zapper 2008-05-14 09:19:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:44:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.